Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xmlbeans
Interface PrePostExtension

public interface PrePostExtension

Field Summary
`static int` | `OPERATION_INSERT` Operation code for inserting a property.
`static int` | `OPERATION_REMOVE` Operation code for removing a property.
`static int` | `OPERATION_SET` Operation code for setting a property.

Method Summary
`String` | `getStaticHandler()` Get the fully qualified static handler class name.
`boolean` | `hasPostCall()` Returns true if the static handler class has a preSet() method with the following signature: `public static void postSet(int, org.apache.xmlbeans.XmlObject, javax.xml.namespace.QName, boolean, int};`
`boolean` | `hasPreCall()` Returns true if the static handler class has a preSet() method with the following signature: `public static boolean preSet(int, org.apache.xmlbeans.XmlObject, javax.xml.namespace.QName, boolean, int};`

Field Detail

### OPERATION_SET

    public static final int OPERATION_SET

  Operation code for setting a property.

  See Also:
    Constant Field Values

### OPERATION_INSERT

    public static final int OPERATION_INSERT

  Operation code for inserting a property.

  See Also:
    Constant Field Values

### OPERATION_REMOVE

    public static final int OPERATION_REMOVE

  Operation code for removing a property.

  See Also:
    Constant Field Values

Method Detail

### getStaticHandler

    public String getStaticHandler()

  Get the fully qualified static handler class name.

### hasPreCall

    public boolean hasPreCall()

  Returns true if the static handler class has a preSet() method with the following signature:
  `public static boolean preSet(int, org.apache.xmlbeans.XmlObject, javax.xml.namespace.QName, boolean, int};`

### hasPostCall

    public boolean hasPostCall()

  Returns true if the static handler class has a preSet() method with the following signature:
  `public static void postSet(int, org.apache.xmlbeans.XmlObject, javax.xml.namespace.QName, boolean, int};`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD